Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5552)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5553)
@@ -28,6 +28,4 @@
 import clarin.cmdi.componentregistry.rss.RssCreatorDescriptions;
 import com.google.common.collect.Lists;
-import com.sun.jersey.api.client.ClientResponse;
-import com.sun.jersey.api.client.UniformInterfaceException;
 
 import com.sun.jersey.api.core.InjectParam;
@@ -61,4 +59,5 @@
 import javax.ws.rs.WebApplicationException;
 import javax.ws.rs.core.Context;
+import javax.ws.rs.core.GenericEntity;
 import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.Response;
@@ -68,4 +67,6 @@
 import javax.ws.rs.core.UriInfo;
 import javax.xml.bind.JAXBException;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlRootElement;
 
 import org.slf4j.Logger;
@@ -189,5 +190,5 @@
                     "Releasing {} registered components into the world ({} millisecs)",
                     result.size(), (System.currentTimeMillis() - start));
-           
+
             return result;
         } catch (AuthenticationFailException e) {
@@ -226,5 +227,5 @@
                     "Releasing {} registered components into the world ({} millisecs)",
                     result.size(), (System.currentTimeMillis() - start));
-             
+
             return result;
         } catch (AuthenticationFailException e) {
@@ -553,5 +554,4 @@
     }
 
-    
     @Override
     @POST
@@ -568,5 +568,4 @@
     }
 
-    
     @Override
     @POST
@@ -881,5 +880,5 @@
 
         LOG.info("Component with id: {} deleted.", componentId);
-        return Response.ok("Component with id" + componentId+" deleted.").build();
+        return Response.ok("Component with id" + componentId + " deleted.").build();
     }
 
@@ -1792,3 +1791,189 @@
         }
     }
+
+    // Group Service (added by Olha)
+    @Override
+    @POST
+    @Path("/groups/create")
+    @Produces({MediaType.TEXT_XML, MediaType.APPLICATION_XML,
+        MediaType.APPLICATION_JSON})
+    public Response createNewGroup(@QueryParam("groupName") String groupName) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            Number id = groupService.createNewGroup(groupName, principal.getName());
+            return Response.ok("Group with the name " + groupName + " is created and given an id " + id).build();
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/principal")
+    @Produces({MediaType.TEXT_XML, MediaType.APPLICATION_XML,
+        MediaType.APPLICATION_JSON})
+    public List<Group> getGroupsOwnedByUser(@QueryParam("principalName") String pricipalName) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            return groupService.getGroupsOwnedByUser(principal.getName());
+        } catch (AuthenticationFailException e) {
+            response.sendError(Status.UNAUTHORIZED.getStatusCode());
+            return new ArrayList<Group>();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/names")
+    public Response listGroupNames() throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            List<String> result = groupService.listGroupNames();
+            //final GenericEntity<List<String>> entity  = new GenericEntity<List<String>>(result){};
+            //return Response.status(Status.OK).entity(entity).build();
+            StringsWrapper ids = new StringsWrapper();
+            ids.setStrings(result);
+            return Response.status(Status.OK).entity(ids).build();
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/ownership")
+    public Response isOwner(@QueryParam("groupName") String groupName) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            Boolean isOwner = groupService.isUserOwnerOfGroup(groupName, principal.getName());
+            return Response.ok(isOwner.toString()).build();
+        } catch (AuthenticationFailException e) {
+            return Response.serverError().status(Status.UNAUTHORIZED).build();
+        }
+    }
+
+    @Override
+    @POST
+    @Path("/groups/makemember")
+    @Produces({MediaType.TEXT_XML, MediaType.APPLICATION_XML,
+        MediaType.APPLICATION_JSON})
+    public Response makeGroupMember(@QueryParam("groupName") String groupName, @QueryParam("principalName") String principalName) throws IOException {
+        try {
+            ComponentRegistry registry = this.getBaseRegistry();
+            Number id = registry.makeGroupMember(principalName, groupName);
+            return Response.ok(id.toString()).build();
+        } catch (UserUnauthorizedException e) {
+            return Response.status(Status.FORBIDDEN).entity(e.getMessage()).build();
+        } catch (ItemNotFoundException e) {
+            return Response.status(Status.NOT_FOUND).entity(e.getMessage()).build();
+        
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        }
+    }
+    
+//    @Override
+//    @DELETE
+//    @Path("/groups/removemember")
+//    @Produces({MediaType.TEXT_XML, MediaType.APPLICATION_XML,
+//        MediaType.APPLICATION_JSON})
+//    public Response removeGroupMember(@QueryParam("groupName") String groupName, @QueryParam("principalName") String principalName) throws IOException {
+//        try {
+//            ComponentRegistry registry = this.getBaseRegistry();
+//            Number id = registry.removeGroupMember(principalName, groupName);
+//            return Response.ok(id.toString()).build();
+//        } catch (UserUnauthorizedException e) {
+//            return Response.status(Status.FORBIDDEN).entity(e.getMessage()).build();
+//        } catch (ItemNotFoundException e) {
+//            return Response.status(Status.NOT_FOUND).entity(e.getMessage()).build();
+//        
+//        } catch (AuthenticationFailException e) {
+//            return Response.status(Status.UNAUTHORIZED).build();
+//        }
+//    }
+
+    @Override
+    @GET
+    @Path("/groups/profiles")
+    public Response listProfiles(@QueryParam("groupId") String groupId) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            List<String> result = groupService.getProfileIdsInGroup(Long.parseLong(groupId));
+            StringsWrapper ids = new StringsWrapper();
+            ids.setStrings(result);
+            return Response.status(Status.OK).entity(ids).build();
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/components")
+    public Response listComponents(@QueryParam("groupId") String groupId) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            List<String> result = groupService.getComponentIdsInGroup(Long.parseLong(groupId));
+            StringsWrapper ids = new StringsWrapper();
+            ids.setStrings(result);
+            return Response.status(Status.OK).entity(ids).build();
+        } catch (AuthenticationFailException e) {
+            response.sendError(Status.UNAUTHORIZED.getStatusCode());
+            return Response.status(Status.UNAUTHORIZED).build();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/nameById")
+    public Response getGroupNameById(@QueryParam("groupId") String groupId) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            String name = groupService.getGroupNameById(Long.parseLong(groupId));
+            return Response.ok(name).build();
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        } catch (ItemNotFoundException e) {
+            return Response.status(Status.NOT_FOUND).build();
+        }
+    }
+
+    @Override
+    @GET
+    @Path("/groups/idByName")
+    public Response getGroupIdByName(@QueryParam("groupName") String groupName) throws IOException {
+
+        try {
+            Principal principal = this.checkAndGetUserPrincipal();
+            Number id = groupService.getGroupIdByName(groupName);
+            return Response.ok(id.toString()).build();
+        } catch (AuthenticationFailException e) {
+            return Response.status(Status.UNAUTHORIZED).build();
+        } catch (ItemNotFoundException e) {
+            return Response.status(Status.NOT_FOUND).build();
+        }
+    }
+
+    @XmlRootElement(name = "Identifiers")
+    public static class StringsWrapper {
+
+        @XmlElement(name = "item")
+        List<String> strings = new ArrayList<String>();
+
+        StringsWrapper() {
+        }
+
+        public void setStrings(List<String> strings) {
+            this.strings = strings;
+        }
+        
+       
+    }
 }
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java	(revision 5552)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java	(revision 5553)
@@ -27,5 +27,5 @@
 
 /**
- * 
+ *
  * @author twago@mpi.nl
  * @author olsha@mpi.nl
@@ -35,30 +35,29 @@
 @Path("/registry")
 @Singleton
-@Transactional(rollbackFor=Exception.class)
+@Transactional(rollbackFor = Exception.class)
 public interface IComponentRegistryRestService {
 
-	public static final String APPLICATION_BASE_URL_PARAM = "eu.clarin.cmdi.componentregistry.serviceRootUrl";
-	public static final String DATA_FORM_FIELD = "data";
-	public static final String NAME_FORM_FIELD = "name";
-	public static final String DESCRIPTION_FORM_FIELD = "description";
-	public static final String GROUP_FORM_FIELD = "group";
-	public static final String DOMAIN_FORM_FIELD = "domainName";
-	public static final String REGISTRY_SPACE_PARAM = "registrySpace";
-	public static final String GROUPID_PARAM = "groupid";
-	public static final String METADATA_EDITOR_PARAM = "mdEditor";
-	public static final String NUMBER_OF_RSSITEMS = "limit";
-
-	List<ComponentDescription> getRegisteredComponents(String registrySpace, String groupId)
-			throws ComponentRegistryException, IOException, UserUnauthorizedException;
-
-	List<ProfileDescription> getRegisteredProfiles(String registrySpace, boolean metadataEditor, String groupId) throws ComponentRegistryException, IOException, UserUnauthorizedException;
-
-	Response getRegisteredComponent(String componentId) throws IOException;
-
-	Response getRegisteredProfile(String profileId) throws IOException;
-        
-        Response getRegisteredComponentRawType(String componentId, String rawType) throws ComponentRegistryException;
-
-        
+    public static final String APPLICATION_BASE_URL_PARAM = "eu.clarin.cmdi.componentregistry.serviceRootUrl";
+    public static final String DATA_FORM_FIELD = "data";
+    public static final String NAME_FORM_FIELD = "name";
+    public static final String DESCRIPTION_FORM_FIELD = "description";
+    public static final String GROUP_FORM_FIELD = "group";
+    public static final String DOMAIN_FORM_FIELD = "domainName";
+    public static final String REGISTRY_SPACE_PARAM = "registrySpace";
+    public static final String GROUPID_PARAM = "groupid";
+    public static final String METADATA_EDITOR_PARAM = "mdEditor";
+    public static final String NUMBER_OF_RSSITEMS = "limit";
+
+    List<ComponentDescription> getRegisteredComponents(String registrySpace, String groupId)
+            throws ComponentRegistryException, IOException, UserUnauthorizedException;
+
+    List<ProfileDescription> getRegisteredProfiles(String registrySpace, boolean metadataEditor, String groupId) throws ComponentRegistryException, IOException, UserUnauthorizedException;
+
+    Response getRegisteredComponent(String componentId) throws IOException;
+
+    Response getRegisteredProfile(String profileId) throws IOException;
+
+    Response getRegisteredComponentRawType(String componentId, String rawType) throws ComponentRegistryException;
+
 //	ComponentRegistry findRegistry(String id,
 //			RegistryClosure<? extends BaseDescription> clos)
@@ -66,133 +65,161 @@
 //
 //	
-
-	List<BaseDescription> getComponentUsage(String componentId) throws ComponentRegistryException, IOException;
-
-	List<Comment> getCommentsFromProfile(String profileId) throws ComponentRegistryException, IOException;
-
-	List<Comment> getCommentsFromComponent(String componentId) throws ComponentRegistryException, IOException;
-
-	Comment getSpecifiedCommentFromProfile(String profileId, String commentId) throws ComponentRegistryException, IOException ;
-
-	Comment getSpecifiedCommentFromComponent(String componentId, String commentId) throws ComponentRegistryException, IOException ;
-
-	/**
-	 *
-	 * Purely helper method for my front-end (FLEX) which only does post/get
-	 * requests. The query param is checked and the "proper" method is called.
-	 *
-	 * @param profileId
-	 * @param method
-	 * @return
-	 */
-	Response manipulateRegisteredProfile(String profileId, String method);
-
-	Response manipulateCommentFromProfile(String profileId, String commentId,
-			String method);
-
-	Response manipulateCommentFromComponent(String componentId,
-			String commentId, String method);
-
-	Response publishRegisteredProfile(String profileId, InputStream input,
-			String name, String description, String group, String domainName);
-
-	Response updateRegisteredProfile(String profileId, 
-			InputStream input, String name, String description, String groupId,
-			String domainName);
-
-	/**
-	 *
-	 * Purely helper method for my front-end (FLEX) which van only do post/get
-	 * requests. The query param is checked and the "proper" method is called.
-	 *
-	 * @param componentId
-	 * @param method
-	 * @return
-	 */
-	Response manipulateRegisteredComponent(String componentId, String method);
-
-	Response publishRegisteredComponent(String componentId, InputStream input,
-			String name, String description, String groupId, String domainName);
-
-	Response updateRegisteredComponent(String componentId,
-			InputStream input, String name, String description, String groupId,
-			String domainName);
-
-	Response deleteRegisteredComponent(String componentId);
-
-	Response deleteRegisteredProfile(String profileId);
-
-	Response deleteCommentFromProfile(String profileId, String commentId);
-
-	Response deleteCommentFromComponent(String componentId, String commentId);
-
-	Response getRegisteredProfileRawType(String profileId, String rawType) throws ComponentRegistryException;
-
-	Response registerProfile(InputStream input, String name,
-			String description, String groupId, String domainName);
-
-	Response registerComponent(InputStream input, String name,
-			String description, String groupId, String domainName);
-
-	Response registerCommentInComponent(InputStream input, String componentId) throws ComponentRegistryException;
-
-	Response registerCommentInProfile(InputStream input, String profileId) throws ComponentRegistryException;
-
-	Response pingSession();
-
-	/**
-	 * @param componentRegistryFactory the componentRegistryFactory to set
-	 */
-	void setComponentRegistryFactory(ComponentRegistryFactory componentRegistryFactory);
-
-	
-	Rss getRssComponent(String groupId, String registrySpace, String limit)
-			throws ComponentRegistryException, ParseException, IOException;
-
-	
-	Rss getRssProfile(String groupId, String registrySpace, String limit)
-			throws ComponentRegistryException, ParseException, IOException;
-
-	
-	Rss getRssOfCommentsFromProfile(String profileId, String limit) throws ComponentRegistryException, 
-			JAXBException, ParseException, IOException;
-
-	
-	Rss getRssOfCommentsFromComponent(String componentId,
-			String limit) throws ComponentRegistryException, IOException,
-			JAXBException, ParseException;
-
-	AllowedAttributetypesXML getAllowedAttributeTypes()
-			throws ComponentRegistryException, IOException, JAXBException,
-			ParseException;
-	
-	void setFileNamesFromListToNull(List<CMDComponentType> listofcomponents);
-	
-	/**
-	 * Get a list of groups the user is a member of
-	 * @return
-	 */
-	List<Group> getGroupsTheCurrentUserIsAMemberOf();
-
-	/**
-	 * Get a list of groups the item is available to. For all practical reasons, this will return either 0 or 1 groups
-	 * @param itemId ID of component or profile. This is not the DB id but the logical ID which is unique across components and profiles
-	 * @return List of groups
-	 */
-	List<Group> getGroupsTheItemIsAMemberOf(String itemId);
-	
-	/**
-	 * Transfer ownership of an item (group/profile) to a group
-	 * @param itemId
-	 * @param groupId
-	 */
-	Response transferItemOwnershipToGroup(String itemId, long groupId) throws IOException;
-	
-	/**
-	 * Get any component (public or private) with the specified ID
-	 * @param componentId
-	 * @return
-	 */
-	BaseDescription getBaseDescription(String componentId) throws ComponentRegistryException, IOException;
-
+    List<BaseDescription> getComponentUsage(String componentId) throws ComponentRegistryException, IOException;
+
+    List<Comment> getCommentsFromProfile(String profileId) throws ComponentRegistryException, IOException;
+
+    List<Comment> getCommentsFromComponent(String componentId) throws ComponentRegistryException, IOException;
+
+    Comment getSpecifiedCommentFromProfile(String profileId, String commentId) throws ComponentRegistryException, IOException;
+
+    Comment getSpecifiedCommentFromComponent(String componentId, String commentId) throws ComponentRegistryException, IOException;
+
+    /**
+     *
+     * Purely helper method for my front-end (FLEX) which only does post/get
+     * requests. The query param is checked and the "proper" method is called.
+     *
+     * @param profileId
+     * @param method
+     * @return
+     */
+    Response manipulateRegisteredProfile(String profileId, String method);
+
+    Response manipulateCommentFromProfile(String profileId, String commentId,
+            String method);
+
+    Response manipulateCommentFromComponent(String componentId,
+            String commentId, String method);
+
+    Response publishRegisteredProfile(String profileId, InputStream input,
+            String name, String description, String group, String domainName);
+
+    Response updateRegisteredProfile(String profileId,
+            InputStream input, String name, String description, String groupId,
+            String domainName);
+
+    /**
+     *
+     * Purely helper method for my front-end (FLEX) which van only do post/get
+     * requests. The query param is checked and the "proper" method is called.
+     *
+     * @param componentId
+     * @param method
+     * @return
+     */
+    Response manipulateRegisteredComponent(String componentId, String method);
+
+    Response publishRegisteredComponent(String componentId, InputStream input,
+            String name, String description, String groupId, String domainName);
+
+    Response updateRegisteredComponent(String componentId,
+            InputStream input, String name, String description, String groupId,
+            String domainName);
+
+    Response deleteRegisteredComponent(String componentId);
+
+    Response deleteRegisteredProfile(String profileId);
+
+    Response deleteCommentFromProfile(String profileId, String commentId);
+
+    Response deleteCommentFromComponent(String componentId, String commentId);
+
+    Response getRegisteredProfileRawType(String profileId, String rawType) throws ComponentRegistryException;
+
+    Response registerProfile(InputStream input, String name,
+            String description, String groupId, String domainName);
+
+    Response registerComponent(InputStream input, String name,
+            String description, String groupId, String domainName);
+
+    Response registerCommentInComponent(InputStream input, String componentId) throws ComponentRegistryException;
+
+    Response registerCommentInProfile(InputStream input, String profileId) throws ComponentRegistryException;
+
+    Response pingSession();
+
+    /**
+     * @param componentRegistryFactory the componentRegistryFactory to set
+     */
+    void setComponentRegistryFactory(ComponentRegistryFactory componentRegistryFactory);
+
+    Rss getRssComponent(String groupId, String registrySpace, String limit)
+            throws ComponentRegistryException, ParseException, IOException;
+
+    Rss getRssProfile(String groupId, String registrySpace, String limit)
+            throws ComponentRegistryException, ParseException, IOException;
+
+    Rss getRssOfCommentsFromProfile(String profileId, String limit) throws ComponentRegistryException,
+            JAXBException, ParseException, IOException;
+
+    Rss getRssOfCommentsFromComponent(String componentId,
+            String limit) throws ComponentRegistryException, IOException,
+            JAXBException, ParseException;
+
+    AllowedAttributetypesXML getAllowedAttributeTypes()
+            throws ComponentRegistryException, IOException, JAXBException,
+            ParseException;
+
+    void setFileNamesFromListToNull(List<CMDComponentType> listofcomponents);
+
+  
+
+    /**
+     * Get any component (public or private) with the specified ID
+     *
+     * @param componentId
+     * @return
+     */
+    BaseDescription getBaseDescription(String componentId) throws ComponentRegistryException, IOException;
+
+    // Group Service 
+    
+     /**
+     * Get a list of groups the user is a member of
+     *
+     * @return
+     */
+    List<Group> getGroupsTheCurrentUserIsAMemberOf();
+
+   
+    
+     /**
+     * Get a list of groups the item is available to. For all practical reasons,
+     * this will return either 0 or 1 groups
+     *
+     * @param itemId ID of component or profile. This is not the DB id but the
+     * logical ID which is unique across components and profiles
+     * @return List of groups
+     */
+    List<Group> getGroupsTheItemIsAMemberOf(String itemId);
+
+    /**
+     * Transfer ownership of an item (group/profile) to a group
+     *
+     * @param itemId
+     * @param groupId
+     */
+    Response transferItemOwnershipToGroup(String itemId, long groupId) throws IOException;
+    
+    // (added by Olha)
+    
+    Response createNewGroup(String groupName) throws IOException;
+
+    List<Group> getGroupsOwnedByUser(String pricipalName) throws IOException;
+
+    Response listGroupNames() throws IOException;
+
+    Response isOwner(String groupName) throws IOException;
+
+    Response makeGroupMember(String groupName, String principalName) throws IOException;
+    
+    //Response removeGroupMember(String groupName, String principalName) throws IOException;
+
+    Response listProfiles(String groupId) throws IOException;
+
+    Response listComponents(String groupId) throws IOException;
+
+    Response getGroupNameById(String groupId) throws IOException;
+
+    Response getGroupIdByName(String groupName) throws IOException;
 }
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/impl/database/GroupServiceImplTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/impl/database/GroupServiceImplTest.java	(revision 5552)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/impl/database/GroupServiceImplTest.java	(revision 5553)
@@ -8,4 +8,5 @@
 
 import clarin.cmdi.componentregistry.BaseUnitTest;
+import clarin.cmdi.componentregistry.ItemNotFoundException;
 import clarin.cmdi.componentregistry.UserUnauthorizedException;
 import clarin.cmdi.componentregistry.model.BaseDescription;
@@ -159,5 +160,5 @@
 
     @Test
-    public void testAccessViaGroupToPrivateProfile() {
+    public void testAccessViaGroupToPrivateProfile() throws ItemNotFoundException{
 	// Make a profile that belongs to someone else
 	BaseDescription profile = makeTestProfile("4567", false, 9999);
@@ -230,5 +231,5 @@
 
     @Test
-    public void testAccessViaGroupToPrivateComponent() {
+    public void testAccessViaGroupToPrivateComponent() throws ItemNotFoundException{
 	// Make a profile that belongs to someone else
 	BaseDescription componentDescription = makeTestComponent(false,
@@ -257,5 +258,5 @@
 
     @Test
-    public void testTransferComponentOwnershipFromUserToGroup()  throws UserUnauthorizedException{
+    public void testTransferComponentOwnershipFromUserToGroup()  throws UserUnauthorizedException, ItemNotFoundException{
 
 	// Make a group
@@ -309,5 +310,5 @@
 
     @Test
-    public void testtransferComponentOwnershipFromUserToGroup()  throws UserUnauthorizedException{
+    public void testtransferComponentOwnershipFromUserToGroup()  throws UserUnauthorizedException, ItemNotFoundException{
 
 	// Make a group
@@ -362,5 +363,5 @@
 
     @Test
-    public void testTransferItemOwnershipFromUserToGroup()  throws UserUnauthorizedException{
+    public void testTransferItemOwnershipFromUserToGroup()  throws UserUnauthorizedException, ItemNotFoundException{
 	//TODO: improve test by mixing in components and exclusing components/profiles
 	// Make a group
@@ -415,5 +416,5 @@
 
     @Test
-    public void testGetGroupsTheItemIsAMemberOf()  throws UserUnauthorizedException{
+    public void testGetGroupsTheItemIsAMemberOf()  throws UserUnauthorizedException, ItemNotFoundException{
 	// Make a group
 	Group group1 = groupDao.findOne(groupService.createNewGroup("Group 1",
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTestCase.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTestCase.java	(revision 5552)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTestCase.java	(revision 5553)
@@ -7,4 +7,5 @@
 import clarin.cmdi.componentregistry.model.Comment;
 import clarin.cmdi.componentregistry.model.ComponentDescription;
+import clarin.cmdi.componentregistry.model.Group;
 import clarin.cmdi.componentregistry.model.ProfileDescription;
 import clarin.cmdi.componentregistry.model.RegistryUser;
@@ -28,6 +29,4 @@
 import org.springframework.test.context.ContextConfiguration;
 import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
-import org.springframework.test.context.transaction.TransactionConfiguration;
-import org.springframework.transaction.annotation.Transactional;
 import org.springframework.web.context.ContextLoaderListener;
 import org.springframework.web.context.request.RequestContextListener;
@@ -52,4 +51,8 @@
     };
     protected final static GenericType<List<Comment>> COMMENT_LIST_GENERICTYPE = new GenericType<List<Comment>>() {
+    };
+    protected final static GenericType<List<Group>> GROUP_LIST_GENERICTYPE = new GenericType<List<Group>>() {
+    };
+    protected final static GenericType<List<String>> STRING_LIST_GENERICTYPE = new GenericType<List<String>>() {
     };
 
